/*===========================================================================*/
/*   (Read/jvm.scm)                                                          */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Read/jvm.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_zc3exitza31199ze3z83zzread_jvmz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_handlerz00zzread_jvmz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzread_jvmz00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
BGL_IMPORT obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, int);
extern obj_t BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00;
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
static obj_t BGl_za2jvmzd2markza2zd2zzread_jvmz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_readzd2jfilezd2zzread_jvmz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
static obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_za2destza2z00zzengine_paramz00;
extern obj_t BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00;
static obj_t BGl__jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl__jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl_escapez00zzread_jvmz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzread_jvmz00();
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
BGL_IMPORT bool_t fexists(char *);
BGL_IMPORT obj_t close_input_port(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, int, int);
static obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00();
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t);
static obj_t BGl__sourcezd2ze3qualifiedzd2type1411ze3zzread_jvmz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31207ze3z83zzread_jvmz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzread_jvmz00 = BUNSPEC;
extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31209ze3z83zzread_jvmz00(obj_t);
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
static obj_t BGl_zc3anonymousza31213ze3z83zzread_jvmz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
static obj_t BGl_zc3anonymousza31216ze3z83zzread_jvmz00(obj_t);
BGL_IMPORT obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31354ze3z83zzread_jvmz00(obj_t);
static obj_t BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();
static obj_t BGl_toplevelzd2initzd2zzread_jvmz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 5 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_modulezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00, BgL_bgl__moduleza7d2za7e3qualifiedza7d2typeza7e3za7za7read_jvmza7001562za7, BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_readzd2jfilezd2envz00zzread_jvmz00, BgL_bgl__readza7d2jfileza7d2za7za7read_jvmza7001563za7, BGl__readzd2jfilezd2zzread_jvmz00, 0L, 0 );
DEFINE_STRING( BGl_string1529z00zzread_jvmz00, BgL_bgl_string1529za700za7za7read_jvmza7001564z00, "module ld done (jvm .net) jvm-qtype ", 36 );
DEFINE_STRING( BGl_string1527z00zzread_jvmz00, BgL_bgl_string1527za700za7za7read_jvmza7001565z00, "Using name `", 12 );
DEFINE_STRING( BGl_string1526z00zzread_jvmz00, BgL_bgl_string1526za700za7za7read_jvmza7001566z00, "',", 2 );
DEFINE_STRING( BGl_string1525z00zzread_jvmz00, BgL_bgl_string1525za700za7za7read_jvmza7001567z00, "Can't find qualified type name for module `", 43 );
DEFINE_STRING( BGl_string1524z00zzread_jvmz00, BgL_bgl_string1524za700za7za7read_jvmza7001568z00, "Illegal jfile format", 20 );
DEFINE_STRING( BGl_string1523z00zzread_jvmz00, BgL_bgl_string1523za700za7za7read_jvmza7001569z00, "Can't find jfile", 16 );
DEFINE_STRING( BGl_string1522z00zzread_jvmz00, BgL_bgl_string1522za700za7za7read_jvmza7001570z00, "Can't open jfile", 16 );
DEFINE_STRING( BGl_string1521z00zzread_jvmz00, BgL_bgl_string1521za700za7za7read_jvmza7001571z00, "read-jfile", 10 );
DEFINE_STRING( BGl_string1520z00zzread_jvmz00, BgL_bgl_string1520za700za7za7read_jvmza7001572z00, "      [reading jfile ", 21 );
DEFINE_STRING( BGl_string1519z00zzread_jvmz00, BgL_bgl_string1519za700za7za7read_jvmza7001573z00, "qualified type redefinition -- ", 31 );
DEFINE_STRING( BGl_string1518z00zzread_jvmz00, BgL_bgl_string1518za700za7za7read_jvmza7001574z00, " [", 2 );
DEFINE_STRING( BGl_string1517z00zzread_jvmz00, BgL_bgl_string1517za700za7za7read_jvmza7001575z00, ":", 1 );
DEFINE_STRING( BGl_string1516z00zzread_jvmz00, BgL_bgl_string1516za700za7za7read_jvmza7001576z00, "]", 1 );
DEFINE_STRING( BGl_string1515z00zzread_jvmz00, BgL_bgl_string1515za700za7za7read_jvmza7001577z00, ".", 1 );
DEFINE_STRING( BGl_string1514z00zzread_jvmz00, BgL_bgl_string1514za700za7za7read_jvmza7001578z00, "'.", 2 );
DEFINE_STRING( BGl_string1513z00zzread_jvmz00, BgL_bgl_string1513za700za7za7read_jvmza7001579z00, "add-qualified-type!", 19 );
DEFINE_STRING( BGl_string1512z00zzread_jvmz00, BgL_bgl_string1512za700za7za7read_jvmza7001580z00, "empty name for module -- ", 25 );
DEFINE_STRING( BGl_string1511z00zzread_jvmz00, BgL_bgl_string1511za700za7za7read_jvmza7001581z00, "'", 1 );
DEFINE_STRING( BGl_string1510z00zzread_jvmz00, BgL_bgl_string1510za700za7za7read_jvmza7001582z00, ", for identifier `", 18 );
DEFINE_STRING( BGl_string1509z00zzread_jvmz00, BgL_bgl_string1509za700za7za7read_jvmza7001583z00, "", 0 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2classzd2sanszd2directoryzd2envz00zzread_jvmz00, BgL_bgl__jvmza7d2classza7d2sansza7d2directoryza7d2za7za7read_jvmza7001584za7, BGl__jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_sourcezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00, BgL_bgl__sourceza7d2za7e3qualifiedza7d2type1411za7e3za7za7read_jvmza7001585za7, BGl__sourcezd2ze3qualifiedzd2type1411ze3zzread_jvmz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1528z00zzread_jvmz00, BgL_bgl_za7c3anonymousza7a31354za7e3za783za7za7read_jvmza7001586za7, BGl_zc3anonymousza31354ze3z83zzread_jvmz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2classzd2withzd2directoryzd2envz00zzread_jvmz00, BgL_bgl__jvmza7d2classza7d2withza7d2directoryza7d2za7za7read_jvmza7001587za7, BGl__jvmzd2classzd2withzd2directoryzd2zzread_jvmz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2qualifiedzd2typez12zd2envzc0zzread_jvmz00, BgL_bgl__addza7d2qualifiedza7d2typeza712za712za7za7read_jvmza7001588za7, va_generic_entry, BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00, -3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long BgL_checksumz00_353, char * BgL_fromz00_354)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_jvmz00))
{ 
BGl_requirezd2initializa7ationz75zzread_jvmz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_jvmz00(); 
BGl_cnstzd2initzd2zzread_jvmz00(); 
BGl_importedzd2moduleszd2initz00zzread_jvmz00(); 
BGl_toplevelzd2initzd2zzread_jvmz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "read_jvm"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
{ /* ./Read/jvm.scm 15 */
obj_t BgL_cportz00_344;
BgL_cportz00_344 = 
open_input_string(BGl_string1529z00zzread_jvmz00); 
{ 
long BgL_iz00_345;
BgL_iz00_345 = ((long)4); 
BgL_loopz00_346:
{ /* ./Read/jvm.scm 15 */
bool_t BgL_test1531z00_347;
BgL_test1531z00_347 = 
(BgL_iz00_345==((long)-1)); 
if(BgL_test1531z00_347)
{ /* ./Read/jvm.scm 15 */
return BUNSPEC;}  else 
{ /* ./Read/jvm.scm 15 */
{ /* ./Read/jvm.scm 15 */
obj_t BgL_arg1533z00_348;
{ /* ./Read/jvm.scm 15 */
obj_t BgL_list1536z00_349;
BgL_list1536z00_349 = 
MAKE_PAIR(BgL_cportz00_344, BNIL); 
BgL_arg1533z00_348 = 
BGl_readz00zz__readerz00(BgL_list1536z00_349); } 
{ /* ./Read/jvm.scm 15 */
int BgL_auxz00_376;
BgL_auxz00_376 = 
(int)(BgL_iz00_345); 
CNST_TABLE_SET(BgL_auxz00_376, BgL_arg1533z00_348); } } 
{ /* ./Read/jvm.scm 15 */
int BgL_auxz00_350;
{ /* ./Read/jvm.scm 15 */
long BgL_auxz00_379;
BgL_auxz00_379 = 
(BgL_iz00_345-((long)1)); 
BgL_auxz00_350 = 
(int)(BgL_auxz00_379); } 
{ 
long BgL_iz00_382;
BgL_iz00_382 = 
(long)(BgL_auxz00_350); 
BgL_iz00_345 = BgL_iz00_382; 
goto BgL_loopz00_346;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
return ( 
BGl_za2jvmzd2markza2zd2zzread_jvmz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* jvm-class-sans-directory */
BGL_EXPORTED_DEF obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t BgL_filez00_1)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 32 */
{ /* ./Read/jvm.scm 33 */
bool_t BgL_test1031z00_20;
{ /* ./Read/jvm.scm 33 */
obj_t BgL_objz00_209;
BgL_objz00_209 = BGl_za2jvmzd2directoryza2zd2zzengine_paramz00; 
BgL_test1031z00_20 = 
STRINGP(BgL_objz00_209); } 
if(BgL_test1031z00_20)
{ /* ./Read/jvm.scm 35 */
int BgL_ldz00_21;int BgL_lfz00_22;
{ /* ./Read/jvm.scm 35 */
obj_t BgL_stringz00_210;
BgL_stringz00_210 = BGl_za2jvmzd2directoryza2zd2zzengine_paramz00; 
BgL_ldz00_21 = 
STRING_LENGTH(BgL_stringz00_210); } 
BgL_lfz00_22 = 
STRING_LENGTH(BgL_filez00_1); 
{ /* ./Read/jvm.scm 37 */
bool_t BgL_test1032z00_23;
{ /* ./Read/jvm.scm 37 */
bool_t BgL_test1037z00_25;
{ /* ./Read/jvm.scm 37 */
long BgL_auxz00_391;long BgL_auxz00_389;
{ /* ./Read/jvm.scm 37 */
long BgL_auxz00_392;
BgL_auxz00_392 = 
(long)(BgL_ldz00_21); 
BgL_auxz00_391 = 
(BgL_auxz00_392+((long)1)); } 
BgL_auxz00_389 = 
(long)(BgL_lfz00_22); 
BgL_test1037z00_25 = 
(BgL_auxz00_389<BgL_auxz00_391); } 
if(BgL_test1037z00_25)
{ /* ./Read/jvm.scm 37 */
BgL_test1032z00_23 = ((bool_t)1); }  else 
{ /* ./Read/jvm.scm 39 */
bool_t BgL_test1038z00_26;
{ /* ./Read/jvm.scm 38 */
obj_t BgL_string2z00_215;
BgL_string2z00_215 = BGl_za2jvmzd2directoryza2zd2zzengine_paramz00; 
BgL_test1038z00_26 = 
bigloo_strncmp(BgL_filez00_1, BgL_string2z00_215, BgL_ldz00_21); } 
if(BgL_test1038z00_26)
{ /* ./Read/jvm.scm 39 */
bool_t BgL_test1039z00_27;
{ /* ./Read/jvm.scm 39 */
unsigned char BgL_arg1041z00_28;obj_t BgL_arg1042z00_29;
BgL_arg1041z00_28 = 
STRING_REF(BgL_filez00_1, BgL_ldz00_21); 
BgL_arg1042z00_29 = 
BGl_filezd2separatorzd2zz__osz00(); 
{ /* ./Read/jvm.scm 39 */
unsigned char BgL_auxz00_401;
BgL_auxz00_401 = 
(unsigned char)CCHAR(BgL_arg1042z00_29); 
BgL_test1039z00_27 = 
(BgL_arg1041z00_28==BgL_auxz00_401); } } 
if(BgL_test1039z00_27)
{ /* ./Read/jvm.scm 39 */
BgL_test1032z00_23 = ((bool_t)0); }  else 
{ /* ./Read/jvm.scm 39 */
BgL_test1032z00_23 = ((bool_t)1); } }  else 
{ /* ./Read/jvm.scm 39 */
BgL_test1032z00_23 = ((bool_t)1); } } } 
if(BgL_test1032z00_23)
{ /* ./Read/jvm.scm 37 */
return BgL_filez00_1;}  else 
{ /* ./Read/jvm.scm 41 */
long BgL_arg1034z00_24;
{ /* ./Read/jvm.scm 41 */
long BgL_auxz00_406;
BgL_auxz00_406 = 
(long)(BgL_ldz00_21); 
BgL_arg1034z00_24 = 
(((long)1)+BgL_auxz00_406); } 
{ /* ./Read/jvm.scm 41 */
int BgL_startz00_224;
BgL_startz00_224 = 
(int)(BgL_arg1034z00_24); 
return 
c_substring(BgL_filez00_1, BgL_startz00_224, BgL_lfz00_22);} } } }  else 
{ /* ./Read/jvm.scm 33 */
return BgL_filez00_1;} } } 
}



/* _jvm-class-sans-directory */
obj_t BGl__jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t BgL_envz00_289, obj_t BgL_filez00_290)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 32 */
return 
BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(BgL_filez00_290);} 
}



/* jvm-class-with-directory */
BGL_EXPORTED_DEF obj_t BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t BgL_classz00_2)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 46 */
{ /* ./Read/jvm.scm 48 */
bool_t BgL_test1054z00_31;
{ /* ./Read/jvm.scm 48 */
obj_t BgL_objz00_226;
BgL_objz00_226 = BGl_za2jvmzd2directoryza2zd2zzengine_paramz00; 
BgL_test1054z00_31 = 
STRINGP(BgL_objz00_226); } 
if(BgL_test1054z00_31)
{ /* ./Read/jvm.scm 50 */
bool_t BgL_test1055z00_32;
BgL_test1055z00_32 = 
bigloo_strcmp(BgL_classz00_2, BGl_string1509z00zzread_jvmz00); 
if(BgL_test1055z00_32)
{ /* ./Read/jvm.scm 50 */
return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;}  else 
{ /* ./Read/jvm.scm 50 */
return 
BGl_makezd2filezd2namez00zz__osz00(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_classz00_2);} }  else 
{ /* ./Read/jvm.scm 48 */
return BgL_classz00_2;} } } 
}



/* _jvm-class-with-directory */
obj_t BGl__jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t BgL_envz00_291, obj_t BgL_classz00_292)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 46 */
return 
BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(BgL_classz00_292);} 
}



/* add-qualified-type! */
BGL_EXPORTED_DEF obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t BgL_modulez00_3, obj_t BgL_qtypez00_4, obj_t BgL_identz00_5)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 63 */
{ /* ./Read/jvm.scm 64 */
bool_t BgL_test1059z00_33;
{ /* ./Read/jvm.scm 64 */
bool_t BgL_test1100z00_48;
{ /* ./Read/jvm.scm 64 */
obj_t BgL_auxz00_418;
BgL_auxz00_418 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)1))); 
BgL_test1100z00_48 = 
CBOOL(BgL_auxz00_418); } 
if(BgL_test1100z00_48)
{ /* ./Read/jvm.scm 64 */
BgL_test1059z00_33 = 
bigloo_strcmp(BgL_qtypez00_4, BGl_string1509z00zzread_jvmz00); }  else 
{ /* ./Read/jvm.scm 64 */
BgL_test1059z00_33 = ((bool_t)0); } } 
if(BgL_test1059z00_33)
{ /* ./Read/jvm.scm 65 */
obj_t BgL_arg1065z00_36;
{ /* ./Read/jvm.scm 68 */
bool_t BgL_test1082z00_41;
if(
PAIRP(BgL_identz00_5))
{ /* ./Read/jvm.scm 68 */
obj_t BgL_auxz00_427;
BgL_auxz00_427 = 
CAR(BgL_identz00_5); 
BgL_test1082z00_41 = 
SYMBOLP(BgL_auxz00_427); }  else 
{ /* ./Read/jvm.scm 68 */
BgL_test1082z00_41 = ((bool_t)0); } 
if(BgL_test1082z00_41)
{ /* ./Read/jvm.scm 69 */
obj_t BgL_arg1085z00_43;
{ /* ./Read/jvm.scm 70 */
obj_t BgL_arg1089z00_45;
BgL_arg1089z00_45 = 
CAR(BgL_identz00_5); 
BgL_arg1085z00_43 = 
SYMBOL_TO_STRING(BgL_arg1089z00_45); } 
BgL_arg1065z00_36 = 
string_append_3(BGl_string1510z00zzread_jvmz00, BgL_arg1085z00_43, BGl_string1511z00zzread_jvmz00); }  else 
{ /* ./Read/jvm.scm 68 */
BgL_arg1065z00_36 = BGl_string1509z00zzread_jvmz00; } } 
{ /* ./Read/jvm.scm 65 */
obj_t BgL_list1067z00_37;
{ /* ./Read/jvm.scm 65 */
obj_t BgL_arg1069z00_38;
{ /* ./Read/jvm.scm 65 */
obj_t BgL_arg1075z00_39;
{ /* ./Read/jvm.scm 65 */
obj_t BgL_arg1079z00_40;
BgL_arg1079z00_40 = 
MAKE_PAIR(BgL_arg1065z00_36, BNIL); 
BgL_arg1075z00_39 = 
MAKE_PAIR(BgL_modulez00_3, BgL_arg1079z00_40); } 
BgL_arg1069z00_38 = 
MAKE_PAIR(BGl_string1512z00zzread_jvmz00, BgL_arg1075z00_39); } 
BgL_list1067z00_37 = 
MAKE_PAIR(BGl_string1513z00zzread_jvmz00, BgL_arg1069z00_38); } 
BGl_warningz00zz__errorz00(BgL_list1067z00_37); } }  else 
{ /* ./Read/jvm.scm 64 */BFALSE; } } 
{ /* ./Read/jvm.scm 73 */
obj_t BgL_bz00_49;
BgL_bz00_49 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_3, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
if(
CBOOL(BgL_bz00_49))
{ /* ./Read/jvm.scm 76 */
bool_t BgL_test1103z00_50;
{ /* ./Read/jvm.scm 76 */
bool_t BgL_test1156z00_73;
{ /* ./Read/jvm.scm 76 */
obj_t BgL_auxz00_442;
BgL_auxz00_442 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)1))); 
BgL_test1156z00_73 = 
CBOOL(BgL_auxz00_442); } 
if(BgL_test1156z00_73)
{ /* ./Read/jvm.scm 76 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_bz00_49, BgL_qtypez00_4))
{ /* ./Read/jvm.scm 76 */
BgL_test1103z00_50 = ((bool_t)0); }  else 
{ /* ./Read/jvm.scm 76 */
BgL_test1103z00_50 = ((bool_t)1); } }  else 
{ /* ./Read/jvm.scm 76 */
BgL_test1103z00_50 = ((bool_t)0); } } 
if(BgL_test1103z00_50)
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1110z00_56;
{ /* ./Read/jvm.scm 80 */
bool_t BgL_test1139z00_66;
if(
PAIRP(BgL_identz00_5))
{ /* ./Read/jvm.scm 80 */
obj_t BgL_auxz00_452;
BgL_auxz00_452 = 
CAR(BgL_identz00_5); 
BgL_test1139z00_66 = 
SYMBOLP(BgL_auxz00_452); }  else 
{ /* ./Read/jvm.scm 80 */
BgL_test1139z00_66 = ((bool_t)0); } 
if(BgL_test1139z00_66)
{ /* ./Read/jvm.scm 81 */
obj_t BgL_arg1142z00_68;
{ /* ./Read/jvm.scm 82 */
obj_t BgL_arg1147z00_70;
BgL_arg1147z00_70 = 
CAR(BgL_identz00_5); 
BgL_arg1142z00_68 = 
SYMBOL_TO_STRING(BgL_arg1147z00_70); } 
BgL_arg1110z00_56 = 
string_append_3(BGl_string1510z00zzread_jvmz00, BgL_arg1142z00_68, BGl_string1514z00zzread_jvmz00); }  else 
{ /* ./Read/jvm.scm 80 */
BgL_arg1110z00_56 = BGl_string1515z00zzread_jvmz00; } } 
{ /* ./Read/jvm.scm 77 */
obj_t BgL_list1112z00_57;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1114z00_58;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1117z00_59;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1120z00_60;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1123z00_61;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1126z00_62;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1130z00_63;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1133z00_64;
{ /* ./Read/jvm.scm 77 */
obj_t BgL_arg1136z00_65;
BgL_arg1136z00_65 = 
MAKE_PAIR(BgL_arg1110z00_56, BNIL); 
BgL_arg1133z00_64 = 
MAKE_PAIR(BGl_string1516z00zzread_jvmz00, BgL_arg1136z00_65); } 
BgL_arg1130z00_63 = 
MAKE_PAIR(BgL_qtypez00_4, BgL_arg1133z00_64); } 
BgL_arg1126z00_62 = 
MAKE_PAIR(BGl_string1517z00zzread_jvmz00, BgL_arg1130z00_63); } 
BgL_arg1123z00_61 = 
MAKE_PAIR(BgL_bz00_49, BgL_arg1126z00_62); } 
BgL_arg1120z00_60 = 
MAKE_PAIR(BGl_string1518z00zzread_jvmz00, BgL_arg1123z00_61); } 
BgL_arg1117z00_59 = 
MAKE_PAIR(BgL_modulez00_3, BgL_arg1120z00_60); } 
BgL_arg1114z00_58 = 
MAKE_PAIR(BGl_string1519z00zzread_jvmz00, BgL_arg1117z00_59); } 
BgL_list1112z00_57 = 
MAKE_PAIR(BGl_string1513z00zzread_jvmz00, BgL_arg1114z00_58); } 
return 
BGl_warningz00zz__errorz00(BgL_list1112z00_57);} }  else 
{ /* ./Read/jvm.scm 76 */
return 
CNST_TABLE_REF(((long)2));} }  else 
{ /* ./Read/jvm.scm 74 */
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_3, BGl_za2jvmzd2markza2zd2zzread_jvmz00, BgL_qtypez00_4);} } } 
}



/* _add-qualified-type! */
obj_t BGl__addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t BgL_envz00_293, obj_t BgL_modulez00_294, obj_t BgL_qtypez00_295, obj_t BgL_identz00_296)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 63 */
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_294, BgL_qtypez00_295, BgL_identz00_296);} 
}



/* read-jfile */
BGL_EXPORTED_DEF obj_t BGl_readzd2jfilezd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
{ 
obj_t BgL_namez00_80;
{ /* ./Read/jvm.scm 101 */
bool_t BgL_test1162z00_76;
{ /* ./Read/jvm.scm 101 */
obj_t BgL_objz00_241;
BgL_objz00_241 = BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00; 
BgL_test1162z00_76 = 
STRINGP(BgL_objz00_241); } 
if(BgL_test1162z00_76)
{ /* ./Read/jvm.scm 105 */
bool_t BgL_test1163z00_77;
{ /* ./Read/jvm.scm 105 */
char * BgL_namez00_242;
BgL_namez00_242 = 
BSTRING_TO_STRING(BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00); 
BgL_test1163z00_77 = 
fexists(BgL_namez00_242); } 
if(BgL_test1163z00_77)
{ /* ./Read/jvm.scm 105 */
BgL_namez00_80 = BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00; 
BgL_zc3anonymousza31172ze3z83_81:
{ /* ./Read/jvm.scm 92 */
obj_t BgL_portz00_82;
BgL_portz00_82 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_namez00_80, BNIL); 
{ /* ./Read/jvm.scm 93 */
obj_t BgL_list1174z00_83;
{ /* ./Read/jvm.scm 93 */
obj_t BgL_arg1178z00_85;
{ /* ./Read/jvm.scm 93 */
obj_t BgL_arg1182z00_86;
{ /* ./Read/jvm.scm 93 */
obj_t BgL_arg1188z00_88;
{ /* ./Read/jvm.scm 93 */
obj_t BgL_auxz00_478;
BgL_auxz00_478 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1188z00_88 = 
MAKE_PAIR(BgL_auxz00_478, BNIL); } 
BgL_arg1182z00_86 = 
MAKE_PAIR(BGl_string1516z00zzread_jvmz00, BgL_arg1188z00_88); } 
BgL_arg1178z00_85 = 
MAKE_PAIR(BgL_namez00_80, BgL_arg1182z00_86); } 
BgL_list1174z00_83 = 
MAKE_PAIR(BGl_string1520z00zzread_jvmz00, BgL_arg1178z00_85); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1174z00_83); } 
{ /* ./Read/jvm.scm 94 */
bool_t BgL_test1191z00_89;
BgL_test1191z00_89 = 
INPUT_PORTP(BgL_portz00_82); 
if(BgL_test1191z00_89)
{ /* ./Read/jvm.scm 94 */
BGl_dozd2readzd2jfilez00zzread_jvmz00(BgL_portz00_82, BgL_namez00_80); 
return 
close_input_port(BgL_portz00_82);}  else 
{ /* ./Read/jvm.scm 94 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1521z00zzread_jvmz00, BGl_string1522z00zzread_jvmz00, BgL_namez00_80, BNIL);} } } }  else 
{ /* ./Read/jvm.scm 105 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1521z00zzread_jvmz00, BGl_string1523z00zzread_jvmz00, BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00, BNIL);} }  else 
{ /* ./Read/jvm.scm 101 */
{ /* ./Read/jvm.scm 102 */
bool_t BgL_test1168z00_79;
{ /* ./Read/jvm.scm 102 */
char * BgL_namez00_243;
BgL_namez00_243 = 
BSTRING_TO_STRING(BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00); 
BgL_test1168z00_79 = 
fexists(BgL_namez00_243); } 
if(BgL_test1168z00_79)
{ 
obj_t BgL_namez00_495;
BgL_namez00_495 = BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00; 
BgL_namez00_80 = BgL_namez00_495; 
goto BgL_zc3anonymousza31172ze3z83_81;}  else 
{ /* ./Read/jvm.scm 102 */
return 
CNST_TABLE_REF(((long)2));} } } } } } 
}



/* _read-jfile */
obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t BgL_envz00_297)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 90 */
return 
BGl_readzd2jfilezd2zzread_jvmz00();} 
}



/* do-read-jfile */
obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t BgL_portz00_6, obj_t BgL_jfnamez00_7)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 113 */
{ /* ./Read/jvm.scm 114 */
obj_t BgL_handlerz00_303;
{ 
int BgL_auxz00_500;int BgL_auxz00_498;
BgL_auxz00_500 = 
(int)(((long)1)); 
BgL_auxz00_498 = 
(int)(((long)4)); 
BgL_handlerz00_303 = 
make_fx_procedure(BGl_handlerz00zzread_jvmz00, BgL_auxz00_498, BgL_auxz00_500); } 
{ /* ./Read/jvm.scm 114 */
int BgL_auxz00_503;
BgL_auxz00_503 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_303, BgL_auxz00_503, BgL_portz00_6); } 
{ /* ./Read/jvm.scm 118 */
obj_t BgL_armed1026z00_98;obj_t BgL_handler1023z00_99;
BgL_armed1026z00_98 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1023z00_99 = 
MAKE_CELL(BUNSPEC); 
{ /* ./Read/jvm.scm 118 */
obj_t BgL_zc3anonymousza31216ze3z83_299;obj_t BgL_zc3anonymousza31213ze3z83_301;
{ 
int BgL_auxz00_508;int BgL_auxz00_506;
BgL_auxz00_508 = 
(int)(((long)1)); 
BgL_auxz00_506 = 
(int)(((long)0)); 
BgL_zc3anonymousza31216ze3z83_299 = 
make_fx_procedure(BGl_zc3anonymousza31216ze3z83zzread_jvmz00, BgL_auxz00_506, BgL_auxz00_508); } 
{ 
int BgL_auxz00_513;int BgL_auxz00_511;
BgL_auxz00_513 = 
(int)(((long)2)); 
BgL_auxz00_511 = 
(int)(((long)4)); 
BgL_zc3anonymousza31213ze3z83_301 = 
make_fx_procedure(BGl_zc3anonymousza31213ze3z83zzread_jvmz00, BgL_auxz00_511, BgL_auxz00_513); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_516;
BgL_auxz00_516 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31216ze3z83_299, BgL_auxz00_516, BgL_portz00_6); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_519;
BgL_auxz00_519 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31213ze3z83_301, BgL_auxz00_519, BgL_armed1026z00_98); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_522;
BgL_auxz00_522 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31213ze3z83_301, BgL_auxz00_522, BgL_handler1023z00_99); } 
CELL_SET(BgL_handler1023z00_99, BgL_handlerz00_303); 
CELL_SET(BgL_armed1026z00_98, BTRUE); 
return 
BGl_zc3exitza31199ze3z83zzread_jvmz00(BgL_zc3anonymousza31216ze3z83_299, BgL_zc3anonymousza31213ze3z83_301, BgL_handler1023z00_99, BgL_armed1026z00_98);} } } } 
}



/* <exit:1199> */
obj_t BGl_zc3exitza31199ze3z83zzread_jvmz00(obj_t BgL_zc3anonymousza31216ze3z83_343, obj_t BgL_zc3anonymousza31213ze3z83_342, obj_t BgL_handler1023z00_341, obj_t BgL_armed1026z00_340)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 118 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1027z00_103;
if( SET_EXIT(BgL_an_exit1027z00_103) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1027z00_103 = 
(obj_t)jmpbuf; 
{ /* ./Read/jvm.scm 118 */

PUSH_EXIT(BgL_an_exit1027z00_103, ((bool_t)1)); 
{ /* ./Read/jvm.scm 118 */
obj_t BgL_an_exitd1028z00_104;
BgL_an_exitd1028z00_104 = 
BGL_EXITD_TOP(); 
{ /* ./Read/jvm.scm 118 */
obj_t BgL_escapez00_300;
{ 
int BgL_auxz00_532;int BgL_auxz00_530;
BgL_auxz00_532 = 
(int)(((long)1)); 
BgL_auxz00_530 = 
(int)(((long)1)); 
BgL_escapez00_300 = 
make_fx_procedure(BGl_escapez00zzread_jvmz00, BgL_auxz00_530, BgL_auxz00_532); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_535;
BgL_auxz00_535 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_300, BgL_auxz00_535, BgL_an_exitd1028z00_104); } 
{ /* ./Read/jvm.scm 118 */
obj_t BgL_res1030z00_107;
{ /* ./Read/jvm.scm 118 */
obj_t BgL_zc3anonymousza31209ze3z83_298;obj_t BgL_zc3anonymousza31207ze3z83_302;
{ 
int BgL_auxz00_540;int BgL_auxz00_538;
BgL_auxz00_540 = 
(int)(((long)1)); 
BgL_auxz00_538 = 
(int)(((long)0)); 
BgL_zc3anonymousza31209ze3z83_298 = 
make_fx_procedure(BGl_zc3anonymousza31209ze3z83zzread_jvmz00, BgL_auxz00_538, BgL_auxz00_540); } 
{ 
int BgL_auxz00_545;int BgL_auxz00_543;
BgL_auxz00_545 = 
(int)(((long)5)); 
BgL_auxz00_543 = 
(int)(((long)0)); 
BgL_zc3anonymousza31207ze3z83_302 = 
make_fx_procedure(BGl_zc3anonymousza31207ze3z83zzread_jvmz00, BgL_auxz00_543, BgL_auxz00_545); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_548;
BgL_auxz00_548 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31209ze3z83_298, BgL_auxz00_548, BgL_armed1026z00_340); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_551;
BgL_auxz00_551 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31207ze3z83_302, BgL_auxz00_551, BgL_an_exitd1028z00_104); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_554;
BgL_auxz00_554 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31207ze3z83_302, BgL_auxz00_554, BgL_armed1026z00_340); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_557;
BgL_auxz00_557 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31207ze3z83_302, BgL_auxz00_557, BgL_handler1023z00_341); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_560;
BgL_auxz00_560 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31207ze3z83_302, BgL_auxz00_560, BgL_zc3anonymousza31213ze3z83_342); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_563;
BgL_auxz00_563 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31207ze3z83_302, BgL_auxz00_563, BgL_escapez00_300); } 
BgL_res1030z00_107 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31207ze3z83_302, BgL_zc3anonymousza31216ze3z83_343, BgL_zc3anonymousza31209ze3z83_298); } 
POP_EXIT(); 
return BgL_res1030z00_107;} } } } 
} } 
}



/* <anonymous:1209> */
obj_t BGl_zc3anonymousza31209ze3z83zzread_jvmz00(obj_t BgL_envz00_304)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 118 */
{ /* ./Read/jvm.scm 118 */
obj_t BgL_armed1026z00_305;
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_568;
BgL_auxz00_568 = 
(int)(((long)0)); 
BgL_armed1026z00_305 = 
PROCEDURE_REF(BgL_envz00_304, BgL_auxz00_568); } 
{ 

{ /* ./Read/jvm.scm 118 */
bool_t BgL_testz00_571;
{ /* ./Read/jvm.scm 118 */
obj_t BgL_auxz00_572;
BgL_auxz00_572 = 
CELL_REF(BgL_armed1026z00_305); 
BgL_testz00_571 = 
CBOOL(BgL_auxz00_572); } 
if(BgL_testz00_571)
{ /* ./Read/jvm.scm 118 */
CELL_SET(BgL_armed1026z00_305, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* ./Read/jvm.scm 118 */
return BFALSE;} } } } } 
}



/* <anonymous:1216> */
obj_t BGl_zc3anonymousza31216ze3z83zzread_jvmz00(obj_t BgL_envz00_307)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 118 */
{ /* ./Read/jvm.scm 118 */
obj_t BgL_portz00_308;
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_575;
BgL_auxz00_575 = 
(int)(((long)0)); 
BgL_portz00_308 = 
PROCEDURE_REF(BgL_envz00_307, BgL_auxz00_575); } 
{ 

{ /* ./Read/jvm.scm 118 */
obj_t BgL_objz00_120;
{ /* ./Read/jvm.scm 118 */
obj_t BgL_list1272z00_150;
{ /* ./Read/jvm.scm 118 */
obj_t BgL_arg1276z00_151;
BgL_arg1276z00_151 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1272z00_150 = 
MAKE_PAIR(BgL_portz00_308, BgL_arg1276z00_151); } 
BgL_objz00_120 = 
BGl_readz00zz__readerz00(BgL_list1272z00_150); } 
{ /* ./Read/jvm.scm 118 */
obj_t BgL_eofz00_121;
{ /* ./Read/jvm.scm 119 */
obj_t BgL_list1269z00_149;
BgL_list1269z00_149 = 
MAKE_PAIR(BgL_portz00_308, BNIL); 
BgL_eofz00_121 = 
BGl_readz00zz__readerz00(BgL_list1269z00_149); } 
{ /* ./Read/jvm.scm 119 */

{ /* ./Read/jvm.scm 121 */
bool_t BgL_test1218z00_122;
BgL_test1218z00_122 = 
EOF_OBJECTP(BgL_objz00_120); 
if(BgL_test1218z00_122)
{ /* ./Read/jvm.scm 121 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1521z00zzread_jvmz00, BGl_string1524z00zzread_jvmz00, BgL_objz00_120, BNIL);}  else 
{ /* ./Read/jvm.scm 123 */
bool_t BgL_test1221z00_124;
BgL_test1221z00_124 = 
EOF_OBJECTP(BgL_eofz00_121); 
if(BgL_test1221z00_124)
{ /* ./Read/jvm.scm 123 */
{ 
obj_t BgL_objz00_125;
BgL_objz00_125 = BgL_objz00_120; 
BgL_loopz00_126:
{ /* ./Read/jvm.scm 127 */
bool_t BgL_test1223z00_127;
BgL_test1223z00_127 = 
NULLP(BgL_objz00_125); 
if(BgL_test1223z00_127)
{ /* ./Read/jvm.scm 127 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ 

{ /* ./Read/jvm.scm 129 */
obj_t BgL_ezd2103zd2_132;
BgL_ezd2103zd2_132 = 
CAR(BgL_objz00_125); 
{ /* ./Read/jvm.scm 129 */
bool_t BgL_test1225z00_133;
BgL_test1225z00_133 = 
PAIRP(BgL_ezd2103zd2_132); 
if(BgL_test1225z00_133)
{ /* ./Read/jvm.scm 129 */
obj_t BgL_carzd2108zd2_134;obj_t BgL_cdrzd2109zd2_135;
BgL_carzd2108zd2_134 = 
CAR(BgL_ezd2103zd2_132); 
BgL_cdrzd2109zd2_135 = 
CDR(BgL_ezd2103zd2_132); 
{ /* ./Read/jvm.scm 129 */
bool_t BgL_test1226z00_136;
BgL_test1226z00_136 = 
SYMBOLP(BgL_carzd2108zd2_134); 
if(BgL_test1226z00_136)
{ /* ./Read/jvm.scm 129 */
bool_t BgL_test1227z00_137;
BgL_test1227z00_137 = 
PAIRP(BgL_cdrzd2109zd2_135); 
if(BgL_test1227z00_137)
{ /* ./Read/jvm.scm 129 */
obj_t BgL_carzd2114zd2_138;
BgL_carzd2114zd2_138 = 
CAR(BgL_cdrzd2109zd2_135); 
{ /* ./Read/jvm.scm 129 */
bool_t BgL_test1228z00_139;
BgL_test1228z00_139 = 
STRINGP(BgL_carzd2114zd2_138); 
if(BgL_test1228z00_139)
{ /* ./Read/jvm.scm 129 */
bool_t BgL_test1229z00_140;
{ /* ./Read/jvm.scm 129 */
obj_t BgL_auxz00_603;
BgL_auxz00_603 = 
CDR(BgL_cdrzd2109zd2_135); 
BgL_test1229z00_140 = 
NULLP(BgL_auxz00_603); } 
if(BgL_test1229z00_140)
{ /* ./Read/jvm.scm 129 */
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_carzd2108zd2_134, BgL_carzd2114zd2_138, BNIL); 
{ /* ./Read/jvm.scm 129 */
obj_t BgL_arg1251z00_262;
BgL_arg1251z00_262 = 
CDR(BgL_objz00_125); 
{ 
obj_t BgL_objz00_609;
BgL_objz00_609 = BgL_arg1251z00_262; 
BgL_objz00_125 = BgL_objz00_609; 
goto BgL_loopz00_126;} } }  else 
{ /* ./Read/jvm.scm 129 */
BgL_tagzd2102zd2_131:
{ /* ./Read/jvm.scm 134 */
obj_t BgL_arg1259z00_146;
BgL_arg1259z00_146 = 
CAR(BgL_objz00_125); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1521z00zzread_jvmz00, BGl_string1524z00zzread_jvmz00, BgL_arg1259z00_146, BNIL);} } }  else 
{ /* ./Read/jvm.scm 129 */
goto BgL_tagzd2102zd2_131;} } }  else 
{ /* ./Read/jvm.scm 129 */
goto BgL_tagzd2102zd2_131;} }  else 
{ /* ./Read/jvm.scm 129 */
goto BgL_tagzd2102zd2_131;} } }  else 
{ /* ./Read/jvm.scm 129 */
goto BgL_tagzd2102zd2_131;} } } } } } }  else 
{ /* ./Read/jvm.scm 123 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1521z00zzread_jvmz00, BGl_string1524z00zzread_jvmz00, BgL_eofz00_121, BNIL);} } } } } } } } } 
}



/* <anonymous:1207> */
obj_t BGl_zc3anonymousza31207ze3z83zzread_jvmz00(obj_t BgL_envz00_309)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 118 */
{ /* ./Read/jvm.scm 118 */
obj_t BgL_zc3anonymousza31213ze3z83_313;obj_t BgL_escapez00_314;
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_613;
BgL_auxz00_613 = 
(int)(((long)3)); 
BgL_zc3anonymousza31213ze3z83_313 = 
PROCEDURE_REF(BgL_envz00_309, BgL_auxz00_613); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_616;
BgL_auxz00_616 = 
(int)(((long)4)); 
BgL_escapez00_314 = 
PROCEDURE_REF(BgL_envz00_309, BgL_auxz00_616); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza31213ze3z83_313, BgL_escapez00_314);} } } 
}



/* escape */
obj_t BGl_escapez00zzread_jvmz00(obj_t BgL_envz00_315, obj_t BgL_val1029z00_317)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 118 */
{ /* ./Read/jvm.scm 118 */
obj_t BgL_an_exitd1028z00_316;
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_620;
BgL_auxz00_620 = 
(int)(((long)0)); 
BgL_an_exitd1028z00_316 = 
PROCEDURE_REF(BgL_envz00_315, BgL_auxz00_620); } 
{ 
obj_t BgL_val1029z00_105;
BgL_val1029z00_105 = BgL_val1029z00_317; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1028z00_316, BgL_val1029z00_105);} } } 
}



/* <anonymous:1213> */
obj_t BGl_zc3anonymousza31213ze3z83zzread_jvmz00(obj_t BgL_envz00_318, obj_t BgL_escz00_321, obj_t BgL_objz00_322, obj_t BgL_procz00_323, obj_t BgL_msgz00_324)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 118 */
{ /* ./Read/jvm.scm 118 */
obj_t BgL_armed1026z00_319;obj_t BgL_handler1023z00_320;
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_624;
BgL_auxz00_624 = 
(int)(((long)0)); 
BgL_armed1026z00_319 = 
PROCEDURE_REF(BgL_envz00_318, BgL_auxz00_624); } 
{ /* ./Read/jvm.scm 118 */
int BgL_auxz00_627;
BgL_auxz00_627 = 
(int)(((long)1)); 
BgL_handler1023z00_320 = 
PROCEDURE_REF(BgL_envz00_318, BgL_auxz00_627); } 
{ 
obj_t BgL_escz00_114;obj_t BgL_objz00_115;obj_t BgL_procz00_116;obj_t BgL_msgz00_117;
BgL_escz00_114 = BgL_escz00_321; 
BgL_objz00_115 = BgL_objz00_322; 
BgL_procz00_116 = BgL_procz00_323; 
BgL_msgz00_117 = BgL_msgz00_324; 
CELL_SET(BgL_armed1026z00_319, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* ./Read/jvm.scm 118 */
obj_t BgL_auxz00_632;
BgL_auxz00_632 = 
CELL_REF(BgL_handler1023z00_320); 
return 
PROCEDURE_ENTRY(BgL_auxz00_632)(
CELL_REF(BgL_handler1023z00_320), BgL_escz00_114, BgL_objz00_115, BgL_procz00_116, BgL_msgz00_117, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzread_jvmz00(obj_t BgL_envz00_326, obj_t BgL_escapez00_328, obj_t BgL_procz00_329, obj_t BgL_mesz00_330, obj_t BgL_objz00_331)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 114 */
{ /* ./Read/jvm.scm 115 */
obj_t BgL_portz00_327;
{ /* ./Read/jvm.scm 115 */
int BgL_auxz00_633;
BgL_auxz00_633 = 
(int)(((long)0)); 
BgL_portz00_327 = 
PROCEDURE_REF(BgL_envz00_326, BgL_auxz00_633); } 
{ 
obj_t BgL_escapez00_93;obj_t BgL_procz00_94;obj_t BgL_mesz00_95;obj_t BgL_objz00_96;
BgL_escapez00_93 = BgL_escapez00_328; 
BgL_procz00_94 = BgL_procz00_329; 
BgL_mesz00_95 = BgL_mesz00_330; 
BgL_objz00_96 = BgL_objz00_331; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_94, BgL_mesz00_95, BgL_objz00_96); 
close_input_port(BgL_portz00_327); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)2)));} } } 
}



/* add-current-module-qualified-type-name! */
obj_t BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 142 */
{ /* ./Read/jvm.scm 144 */
obj_t BgL_qtypez00_154;
BgL_qtypez00_154 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
{ /* ./Read/jvm.scm 145 */
bool_t BgL_test1282z00_155;
BgL_test1282z00_155 = 
STRINGP(BgL_qtypez00_154); 
if(BgL_test1282z00_155)
{ /* ./Read/jvm.scm 145 */
return BFALSE;}  else 
{ /* ./Read/jvm.scm 149 */
bool_t BgL_test1283z00_156;
{ /* ./Read/jvm.scm 150 */
bool_t BgL_test1302z00_165;
{ /* ./Read/jvm.scm 150 */
obj_t BgL_objz00_270;
BgL_objz00_270 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test1302z00_165 = 
STRINGP(BgL_objz00_270); } 
if(BgL_test1302z00_165)
{ /* ./Read/jvm.scm 150 */
obj_t BgL_auxz00_645;
BgL_auxz00_645 = 
CNST_TABLE_REF(((long)3)); 
BgL_test1283z00_156 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_645); }  else 
{ /* ./Read/jvm.scm 150 */
BgL_test1283z00_156 = ((bool_t)1); } } 
if(BgL_test1283z00_156)
{ /* ./Read/jvm.scm 149 */
{ /* ./Read/jvm.scm 159 */
obj_t BgL_qtz00_157;
{ /* ./Read/jvm.scm 153 */
bool_t BgL_test1286z00_159;
{ /* ./Read/jvm.scm 153 */
obj_t BgL_arg1295z00_162;
{ /* ./Read/jvm.scm 153 */
obj_t BgL_pairz00_271;
BgL_pairz00_271 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1295z00_162 = 
CAR(BgL_pairz00_271); } 
BgL_test1286z00_159 = 
STRINGP(BgL_arg1295z00_162); } 
if(BgL_test1286z00_159)
{ /* ./Read/jvm.scm 154 */
obj_t BgL_arg1288z00_160;
{ /* ./Read/jvm.scm 154 */
obj_t BgL_arg1291z00_161;
{ /* ./Read/jvm.scm 154 */
obj_t BgL_pairz00_273;
BgL_pairz00_273 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1291z00_161 = 
CAR(BgL_pairz00_273); } 
BgL_arg1288z00_160 = 
BGl_basenamez00zz__osz00(BgL_arg1291z00_161); } 
BgL_qtz00_157 = 
BGl_prefixz00zz__osz00(BgL_arg1288z00_160); }  else 
{ /* ./Read/jvm.scm 153 */
BgL_qtz00_157 = BGl_string1515z00zzread_jvmz00; } } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_157, BNIL); 
return BgL_qtz00_157;} }  else 
{ /* ./Read/jvm.scm 149 */
{ /* ./Read/jvm.scm 159 */
obj_t BgL_qtz00_163;
BgL_qtz00_163 = 
BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_163, BNIL); 
return BgL_qtz00_163;} } } } } } 
}



/* module->qualified-type */
BGL_EXPORTED_DEF obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_modulez00_8)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 169 */
{ /* ./Read/jvm.scm 170 */
obj_t BgL_bz00_166;
BgL_bz00_166 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_8, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
{ /* ./Read/jvm.scm 172 */
bool_t BgL_test1307z00_167;
BgL_test1307z00_167 = 
STRINGP(BgL_bz00_166); 
if(BgL_test1307z00_167)
{ /* ./Read/jvm.scm 172 */
return BgL_bz00_166;}  else 
{ /* ./Read/jvm.scm 174 */
bool_t BgL_test1308z00_168;
BgL_test1308z00_168 = 
(BgL_modulez00_8==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test1308z00_168)
{ /* ./Read/jvm.scm 174 */
return 
BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();}  else 
{ /* ./Read/jvm.scm 174 */
{ /* ./Read/jvm.scm 177 */
obj_t BgL_cellz00_169;
BgL_cellz00_169 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_8, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
{ /* ./Read/jvm.scm 177 */
obj_t BgL_defaultz00_170;
{ /* ./Read/jvm.scm 178 */
bool_t BgL_test1336z00_183;
BgL_test1336z00_183 = 
PAIRP(BgL_cellz00_169); 
if(BgL_test1336z00_183)
{ /* ./Read/jvm.scm 179 */
obj_t BgL_arg1338z00_184;
{ /* ./Read/jvm.scm 179 */
obj_t BgL_arg1341z00_185;
{ /* ./Read/jvm.scm 179 */
obj_t BgL_auxz00_667;
BgL_auxz00_667 = 
CDR(BgL_cellz00_169); 
BgL_arg1341z00_185 = 
CAR(BgL_auxz00_667); } 
BgL_arg1338z00_184 = 
BGl_basenamez00zz__osz00(BgL_arg1341z00_185); } 
BgL_defaultz00_170 = 
BGl_prefixz00zz__osz00(BgL_arg1338z00_184); }  else 
{ /* ./Read/jvm.scm 178 */
BgL_defaultz00_170 = 
SYMBOL_TO_STRING(BgL_modulez00_8); } } 
{ /* ./Read/jvm.scm 178 */

{ /* ./Read/jvm.scm 181 */
bool_t BgL_test1310z00_171;
{ /* ./Read/jvm.scm 181 */
obj_t BgL_auxz00_673;
BgL_auxz00_673 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)1))); 
BgL_test1310z00_171 = 
CBOOL(BgL_auxz00_673); } 
if(BgL_test1310z00_171)
{ /* ./Read/jvm.scm 183 */
obj_t BgL_arg1312z00_172;
{ /* ./Read/jvm.scm 183 */
obj_t BgL_arg1329z00_180;
BgL_arg1329z00_180 = 
SYMBOL_TO_STRING(BgL_modulez00_8); 
BgL_arg1312z00_172 = 
string_append_3(BGl_string1525z00zzread_jvmz00, BgL_arg1329z00_180, BGl_string1526z00zzread_jvmz00); } 
{ /* ./Read/jvm.scm 182 */
obj_t BgL_list1316z00_175;
{ /* ./Read/jvm.scm 182 */
obj_t BgL_arg1318z00_176;
{ /* ./Read/jvm.scm 182 */
obj_t BgL_arg1321z00_177;
{ /* ./Read/jvm.scm 182 */
obj_t BgL_arg1324z00_178;
BgL_arg1324z00_178 = 
MAKE_PAIR(BGl_string1514z00zzread_jvmz00, BNIL); 
BgL_arg1321z00_177 = 
MAKE_PAIR(BgL_defaultz00_170, BgL_arg1324z00_178); } 
BgL_arg1318z00_176 = 
MAKE_PAIR(BGl_string1527z00zzread_jvmz00, BgL_arg1321z00_177); } 
BgL_list1316z00_175 = 
MAKE_PAIR(BgL_arg1312z00_172, BgL_arg1318z00_176); } 
BGl_warningz00zz__errorz00(BgL_list1316z00_175); } }  else 
{ /* ./Read/jvm.scm 181 */BFALSE; } } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_8, BgL_defaultz00_170, BNIL); 
return BgL_defaultz00_170;} } } } } } } } 
}



/* _module->qualified-type */
obj_t BGl__modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_envz00_334, obj_t BgL_modulez00_335)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 169 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_335);} 
}



/* source->qualified-type */
BGL_EXPORTED_DEF obj_t BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_filez00_9)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 194 */
{ /* ./Read/jvm.scm 195 */
bool_t BgL_test1350z00_186;
{ /* ./Read/jvm.scm 195 */
char * BgL_namez00_282;
BgL_namez00_282 = 
BSTRING_TO_STRING(BgL_filez00_9); 
BgL_test1350z00_186 = 
fexists(BgL_namez00_282); } 
if(BgL_test1350z00_186)
{ /* ./Read/jvm.scm 195 */
return 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_9, BGl_proc1528z00zzread_jvmz00);}  else 
{ /* ./Read/jvm.scm 195 */
return BFALSE;} } } 
}



/* _source->qualified-type1411 */
obj_t BGl__sourcezd2ze3qualifiedzd2type1411ze3zzread_jvmz00(obj_t BgL_envz00_337, obj_t BgL_filez00_338)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 194 */
return 
BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_filez00_338);} 
}



/* <anonymous:1354> */
obj_t BGl_zc3anonymousza31354ze3z83zzread_jvmz00(obj_t BgL_envz00_339)
{ AN_OBJECT;
{ /* ./Read/jvm.scm 197 */
{ 

{ /* ./Read/jvm.scm 198 */
obj_t BgL_ezd2120zd2_192;
{ /* ./Read/jvm.scm 198 */
obj_t BgL_arg1375z00_200;
BgL_arg1375z00_200 = 
BGL_CURRENT_INPUT_PORT(); 
{ /* ./Read/jvm.scm 198 */
obj_t BgL_list1377z00_201;
BgL_list1377z00_201 = 
MAKE_PAIR(BgL_arg1375z00_200, BNIL); 
BgL_ezd2120zd2_192 = 
BGl_readz00zz__readerz00(BgL_list1377z00_201); } } 
{ /* ./Read/jvm.scm 197 */
bool_t BgL_test1355z00_193;
BgL_test1355z00_193 = 
PAIRP(BgL_ezd2120zd2_192); 
if(BgL_test1355z00_193)
{ /* ./Read/jvm.scm 197 */
obj_t BgL_cdrzd2124zd2_194;
BgL_cdrzd2124zd2_194 = 
CDR(BgL_ezd2120zd2_192); 
{ /* ./Read/jvm.scm 197 */
bool_t BgL_test1356z00_195;
{ /* ./Read/jvm.scm 197 */
obj_t BgL_auxz00_700;obj_t BgL_auxz00_698;
BgL_auxz00_700 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_698 = 
CAR(BgL_ezd2120zd2_192); 
BgL_test1356z00_195 = 
(BgL_auxz00_698==BgL_auxz00_700); } 
if(BgL_test1356z00_195)
{ /* ./Read/jvm.scm 197 */
bool_t BgL_test1357z00_196;
BgL_test1357z00_196 = 
PAIRP(BgL_cdrzd2124zd2_194); 
if(BgL_test1357z00_196)
{ /* ./Read/jvm.scm 197 */
obj_t BgL_arg1359z00_197;
BgL_arg1359z00_197 = 
CAR(BgL_cdrzd2124zd2_194); 
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_arg1359z00_197);}  else 
{ /* ./Read/jvm.scm 197 */
return BFALSE;} }  else 
{ /* ./Read/jvm.scm 197 */
return BFALSE;} } }  else 
{ /* ./Read/jvm.scm 197 */
return BFALSE;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00()
{ AN_OBJECT;
{ /* ./Read/jvm.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)46992), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "read_jvm"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)6610), "read_jvm"); 
return 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "read_jvm");} 
}

